//
//  CropViewController.h
//  MenuPhoto
//
//  Created by Sławek Derwisz on 10.04.2013.
//  Copyright (c) 2013 Pawel Ferens. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "HFImageEditorViewController.h"



@protocol CropDelegate <NSObject>
@required
-(void)receiveImage:(UIImage*)image;
@end



@interface CropViewController : HFImageEditorViewController{
    __weak id <CropDelegate> delegate;
}


@property (nonatomic, weak) id <CropDelegate>delegate;
@property(nonatomic,retain) IBOutlet UIBarButtonItem *saveButton;
@property(nonatomic,strong) IBOutlet UIBarItem *returnItem;
@property(nonatomic,strong) IBOutlet UIBarItem *saveItem;

-(IBAction)applyAction:(id)sender;
@end
