//
//  MainPictureChanger.m
//  MenuMenuImageUploader
//
//  Created by Pawel Ferens on 12/11/12.
//  Copyright (c) 2012 Pawel Ferens. All rights reserved.
//

#import "MainPictureChanger.h"

@implementation MainPictureChanger
@synthesize responseData;
-(void)changeProfilePictureWithImageBlob:(NSString*)blob
                         andRestaurantId:(NSString*)restId
{
    NSString*link=[NSString stringWithFormat:@"http://menumenu-cms.appspot.com/setAsMainImage?token=a1b2c3&restaurantId=%@&imageType=MENU&blobKey=%@",restId,blob];
    NSURL*url=[NSURL URLWithString:link];
    NSMutableURLRequest*request=[NSMutableURLRequest requestWithURL:url];
    [[NSURLConnection alloc]initWithRequest:request delegate:self];

}

-(void)connection:(NSURLConnection *)connection didFailWithError:(NSError *)error{
    NSLog(@"did fail");
    
    
}
-(void)connection:(NSURLConnection *)connection didReceiveData:(NSData *)data{
    NSLog(@"did receive data");
    [responseData appendData:data];
}
-(void)connection:(NSURLConnection *)connection didReceiveResponse:(NSURLResponse *)response{
    NSLog(@"did receive response ");
    responseData=[[NSMutableData alloc]init];
}
-(void)connectionDidFinishLoading:(NSURLConnection *)connection{

    [self postNotification];
    
    
}
- (void)postNotification //post notification method and logic
{
   NSString *notificationName = @"changeProfile";
//    
    [[NSNotificationCenter defaultCenter] postNotificationName:notificationName object:nil userInfo:nil];
}


@end
