//
//  RestaurantListControllerViewController.m
//  MenuMenu
//
//  Created by Pawel Ferens on 12/5/12.
//  Copyright (c) 2012 Pawel Ferens. All rights reserved.
//

#import "RestaurantListControllerViewController.h"

@interface RestaurantListControllerViewController ()

@end

@implementation RestaurantListControllerViewController

@synthesize controller;
- (id)initWithStyle:(UITableViewStyle)style
{
    self = [super initWithStyle:style];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (AppDelegate *) appdelegate {
    return (AppDelegate *)[[UIApplication sharedApplication] delegate];
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    
    [self setTitle:NSLocalizedString(@"RESTAURANT", nil)];
    NSLog(@"%i",[[self appdelegate].restaurants count]);
   controller = [self.storyboard instantiateViewControllerWithIdentifier:@"scroll"];
    
    
    
    // Uncomment the following line to preserve selection between presentations.
    // self.clearsSelectionOnViewWillAppear = NO;
  
    // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
    // self.navigationItem.rightBarButtonItem = self.editButtonItem;
}

-(void) viewDidAppear:(BOOL)animated
{
    [super viewDidAppear:animated];
    [[self tableView]reloadData];
    [self.tableView setUserInteractionEnabled:YES];
    [self appdelegate].isRestaurantLoaded = NO;
//    [self refreshControl];
    
}
- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark - Table view data source

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
    // Return the number of sections.
    return 1;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    // Return the number of rows in the section.
    return [[self appdelegate].restaurants count];
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    static NSString *CellIdentifier = @"cell";
    UITableViewCell *cell = (UITableViewCell *) [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    
    if (cell == nil) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:CellIdentifier];
    }
    cell.selectionStyle = UITableViewCellSelectionStyleGray;
    cell.accessoryType=UITableViewCellAccessoryDisclosureIndicator;
    UILabel*nameOfRestaurant=(UILabel*)[cell viewWithTag:1];
    Restaurant*NOF=[[self appdelegate].restaurants objectAtIndex:indexPath.row];
    nameOfRestaurant.text=[NOF name];
//    NSLog(@"%@",[NOF name]);
    // Configure the cell...
    
    return cell;
}

/*
// Override to support conditional editing of the table view.
- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the specified item to be editable.
    return YES;
}
*/

/*
// Override to support editing the table view.
- (void)tableView:(UITableView *)tableView commitEditingStyle:(UITableViewCellEditingStyle)editingStyle forRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (editingStyle == UITableViewCellEditingStyleDelete) {
        // Delete the row from the data source
        [tableView deleteRowsAtIndexPaths:@[indexPath] withRowAnimation:UITableViewRowAnimationFade];
    }   
    else if (editingStyle == UITableViewCellEditingStyleInsert) {
        // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
    }   
}
*/

/*
// Override to support rearranging the table view.
- (void)tableView:(UITableView *)tableView moveRowAtIndexPath:(NSIndexPath *)fromIndexPath toIndexPath:(NSIndexPath *)toIndexPath
{
}
*/

/*
// Override to support conditional rearranging of the table view.
- (BOOL)tableView:(UITableView *)tableView canMoveRowAtIndexPath:(NSIndexPath *)indexPath
{
    // Return NO if you do not want the item to be re-orderable.
    return YES;
}
*/

#pragma mark - Table view delegate

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath
{
    [tableView setUserInteractionEnabled:NO];
    [self.tableView deselectRowAtIndexPath:[self.tableView indexPathForSelectedRow] animated:YES];
    
    controller.restaurant=[[self appdelegate].restaurants objectAtIndex:indexPath.row];
//    [controller refreshRestaurant];
    controller.restaurantIndexAtList = indexPath.row;
    if(![[self.navigationController.viewControllers lastObject] isEqual:controller])
        [self.navigationController pushViewController:controller animated:YES];
//    NSString *notificationName = @"updated";
//    
//    
//    [[NSNotificationCenter defaultCenter] postNotificationName:notificationName object:nil userInfo:nil];
//    
}

@end
