//
//  RestaurantRefresher.m
//  MenuMenuImageUploader
//
//  Created by Pawel Ferens on 12/10/12.
//  Copyright (c) 2012 Pawel Ferens. All rights reserved.
//

#import "RestaurantRefresher.h"

@implementation RestaurantRefresher
@synthesize responseData;
-(void)refreshRestaurantWithId:(NSString*)restId
{
    NSString*s=[NSString stringWithFormat:@"http://menumenu-cms.appspot.com/getRestaurantServlet?token=a1b2c3&restaurantId=%@",restId];
    NSURL*url=[NSURL URLWithString:s];
    NSMutableURLRequest*request=[NSMutableURLRequest requestWithURL:url];

    [[NSURLConnection alloc]initWithRequest:request delegate:self];
}

-(void)connection:(NSURLConnection *)connection didFailWithError:(NSError *)error{
     NSLog(@"did fail");
  
}
-(void)connection:(NSURLConnection *)connection didReceiveData:(NSData *)data{
     NSLog(@"did receive data");
    if(data != nil){
        [responseData appendData:data];
    }
}

-(void)connection:(NSURLConnection *)connection didReceiveResponse:(NSURLResponse *)response{
      NSLog(@"did receive response ");
    responseData=[[NSMutableData alloc]init];
}
    
-(void)connectionDidFinishLoading:(NSURLConnection *)connection{
   NSLog(@"DidFinishLoading");
//    NSDictionary*dictionary=[NSJSONSerialization
//                             JSONObjectWithData:responseData options:kNilOptions error:&err];
//    NSLog(@"%@",dictionary);
    [self postNotification];
    
    
}
- (void)postNotification //post notification method and logic
{
    NSString *notificationName = @"restRefreshed";
    //NSLog(@"data %@", responseData);
    [[NSNotificationCenter defaultCenter] postNotificationName:notificationName object:nil userInfo:nil];
}

@end
