//
//  ConnectionManager.m
//  MenuMenu
//
//  Created by Pawel Ferens on 12/6/12.
//  Copyright (c) 2012 Pawel Ferens. All rights reserved.
//

#import "ConnectionManager.h"

@implementation ConnectionManager
@synthesize responseData;
@synthesize connection;

-(void)loadAvaibleRestaurantsWithLogin:(NSString*)login andPassword:(NSString*)password{
   
    NSURL*url=[NSURL URLWithString:@"http://menumenu-cms.appspot.com/getAllDataServlet"];
    NSMutableURLRequest*request=[NSMutableURLRequest requestWithURL:url];
    NSString*params=[[NSString alloc]initWithFormat:@"token=a1b2c3&login=%@&password=%@",login,password];
    [request setHTTPMethod:@"POST"];
    [request setHTTPBody:[params dataUsingEncoding:NSUTF8StringEncoding]];
    self.connection = [[NSURLConnection alloc]initWithRequest:request delegate:self];

}

-(void)connection:(NSURLConnection *)connection didFailWithError:(NSError *)error{
   // NSLog(@"did fail");
     [self postNotificationWithString:@"accessDenied"];
}
-(void)connection:(NSURLConnection *)connection didReceiveData:(NSData *)data{
   // NSLog(@"did receive data");
    [responseData appendData:data];
}
-(void)connection:(NSURLConnection *)connection didReceiveResponse:(NSURLResponse *)response{
  //  NSLog(@"did receive response ");
    responseData=[[NSMutableData alloc]init];
}
-(void)connectionDidFinishLoading:(NSURLConnection *)connection{
    NSLog(@"%i",[responseData length]);
    NSString*isLoginCorrect=[[NSString alloc]init];
    if([responseData length]<10)
        isLoginCorrect=@"accessDenied";
    else
        isLoginCorrect=@"ok";
    
    [self postNotificationWithString:isLoginCorrect];
    
    
}
- (void)postNotificationWithString:(NSString *)isCorrect //post notification method and logic
{
    NSString *notificationName = @"MTPostNotificationTut";
    NSString *key = @"login";
    NSDictionary *dictionary = [NSDictionary dictionaryWithObject:isCorrect forKey:key];
    [[NSNotificationCenter defaultCenter] postNotificationName:notificationName object:nil userInfo:dictionary];
}



@end
