//
//  CropViewController.m
//  MenuPhoto
//
//  Created by Sławek Derwisz on 10.04.2013.
//  Copyright (c) 2013 Pawel Ferens. All rights reserved.
//

#import "CropViewController.h"
#import "HFImageEditorViewController+SubclassingHooks.h"


@implementation CropViewController

@synthesize  saveButton = _saveButton;
@synthesize delegate;
@synthesize returnItem;
@synthesize saveItem;

-(id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if(self) {
        self.cropSize = CGSizeMake(240,320);
        self.minimumScale = 0.2;
        self.maximumScale = 4;
    }
    return self;
}

-(void)viewWillAppear:(BOOL)animated{
    [self.navigationController setNavigationBarHidden:YES];
    [super viewWillAppear:animated];
}

-(void)viewWillDisappear:(BOOL)animated{
    [self.navigationController setNavigationBarHidden:NO];
    [super viewWillDisappear:animated];
}

-(void)viewDidLoad{
    
    [super viewDidLoad];
    self.returnItem.title= NSLocalizedString(@"Return", nil);
    self.saveItem.title = NSLocalizedString(@"Save", nil);
    
//    [[self.toolBar.items objectAtIndex:0]setTitle:NSLocalizedString(@"Return", nil)];
//    
//    NSLog(@"%@",[[self.toolBar.items objectAtIndex:0] title]);
//    [[self.toolBar.items objectAtIndex:1] setTitle:NSLocalizedString(@"Save", nil)];
//    
    
    NSString *notificationName = @"CroppedNotify";
    [[NSNotificationCenter defaultCenter]
     addObserver:self
     selector:@selector(applyAndGo)
     name:notificationName
     object:nil];
}


- (void)viewDidUnload
{
    [super viewDidUnload];
    self.saveButton = nil;
}


-(IBAction)applyAction:(id)sender{
    [self cropImage];

}

-(void)applyAndGo{
    [delegate receiveImage: self.previewImage];
    NSLog(@"goo");
    [self.navigationController popViewControllerAnimated: YES];
}


//#pragma mark Hooks
//- (void)startTransformHook
//{
//    self.saveButton.tintColor = [UIColor colorWithRed:0 green:49/255.0f blue:98/255.0f alpha:1];
//}
//
//- (void)endTransformHook
//{
//    self.saveButton.tintColor = [UIColor colorWithRed:0 green:128/255.0f blue:1 alpha:1];
//}


@end
