//
//  MainViewController.h
//  MenuMenu
//
//  Created by Pawel Ferens on 12/5/12.
//  Copyright (c) 2012 Pawel Ferens. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "ConnectionManager.h"
#import "JSONParser.h"
#import "RestaurantListControllerViewController.h"
#import "RestaurantRefresher.h"
@interface MainViewController : UIViewController
-(void) viewDidAppear:(BOOL)animated;
- (void)useNotificationWithString:(NSNotification *)notification;
-(void)showAlertView;
@property (nonatomic,strong)ConnectionManager*manager;
@property(strong,nonatomic) RestaurantListControllerViewController*  controler ;
@property (strong, nonatomic) IBOutlet UILabel *loadingLabel;
@property(nonatomic,strong)UIActivityIndicatorView*  spinner;
@property (nonatomic, retain) UIActivityIndicatorView *aSpinner;
@end
