//
//  RestaurantVisibilityChanger.m
//  MenuMenuImageUploader
//
//  Created by Pawel Ferens on 1/15/13.
//  Copyright (c) 2013 Pawel Ferens. All rights reserved.
//

#import "RestaurantVisibilityChanger.h"

@implementation RestaurantVisibilityChanger
@synthesize responseData;
-(void)setRestaurantVisibleWitkRestaurantId:(NSString*)restId
{
    NSString* urlString=[NSString stringWithFormat:@"http://menumenu-cms.appspot.com/publishRestaurant?token=a1b2c3&restaurantId=%@&isPublish=true",restId];
    NSURL*url=[NSURL URLWithString:urlString];
    NSMutableURLRequest*request=[NSMutableURLRequest requestWithURL:url];
    [request setHTTPMethod:@"GET"];
    [[NSURLConnection alloc]initWithRequest:request delegate:self];
}

-(void)setRestaurantInvisibleWitkRestaurantId:(NSString*)restId
{
    NSString* urlString=[NSString stringWithFormat:@"http://menumenu-cms.appspot.com/publishRestaurant?token=a1b2c3&restaurantId=%@&isPublish=false",restId];
    NSURL*url=[NSURL URLWithString:urlString];
    NSMutableURLRequest*request=[NSMutableURLRequest requestWithURL:url];
    [request setHTTPMethod:@"GET"];
    [[NSURLConnection alloc]initWithRequest:request delegate:self];
}

-(void)connection:(NSURLConnection *)connection didFailWithError:(NSError *)error{
    // NSLog(@"did fail");
    [self postNotificationWithString:@"failure"];
}
-(void)connection:(NSURLConnection *)connection didReceiveData:(NSData *)data{
    // NSLog(@"did receive data");
    [responseData appendData:data];
}
-(void)connection:(NSURLConnection *)connection didReceiveResponse:(NSURLResponse *)response{
    //  NSLog(@"did receive response ");
    responseData=[[NSMutableData alloc]init];
}
-(void)connectionDidFinishLoading:(NSURLConnection *)connection{
    NSString* newStr = [[NSString alloc] initWithData:responseData
                                              encoding:NSUTF8StringEncoding];

    if([newStr isEqualToString :@"true\n"])
    {
        [self postNotificationWithString:@"success"];
    NSLog(@"poszlo ok");
    }
    else
    {
        [self postNotificationWithString:@"failure"];
        NSLog(@"poszlo ok ale failure");
    }
    
    
}
- (void)postNotificationWithString:(NSString *)isCorrect //post notification method and logic
{
    NSString *notificationName = @"isVisibilityChanged";
    NSString *key = @"isCorrect";
    NSDictionary *dictionary = [NSDictionary dictionaryWithObject:isCorrect forKey:key];
    [[NSNotificationCenter defaultCenter] postNotificationName:notificationName object:nil userInfo:dictionary];
}


@end
