//
//  ScrollViewController.h
//  MenuMenu
//
//  Created by Pawel Ferens on 12/5/12.
//  Copyright (c) 2012 Pawel Ferens. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Restaurant.h"
#import "Image.h"
#import "JSONParser.h"
#import "RestaurantRefresher.h"
#import "MainPictureChanger.h"
#import <QuartzCore/QuartzCore.h>
#import "RestaurantVisibilityChanger.h"
#import "AppDelegate.h"
#import "CropViewController.h"
#import "CustomAlertView.h"


@interface ScrollViewController : UIViewController< UIImagePickerControllerDelegate,UIActionSheetDelegate,UIImagePickerControllerDelegate,UINavigationControllerDelegate, CropDelegate>{
    
}


@property (strong, nonatomic) IBOutlet UIScrollView *scrollView;
//- (IBAction)refreshButton:(id)sender;
@property (retain,nonatomic)  NSMutableArray* photos;
@property (nonatomic,retain)Restaurant*restaurant;
@property (strong, nonatomic) IBOutlet UIButton *test;
@property (strong, nonatomic) IBOutlet UILabel *progressLabel;
-(void) viewDidAppear:(BOOL)animated;
@property (strong, nonatomic) IBOutlet UIView *uploadingView;
-(UIImage*)imageWithImage: (UIImage*) sourceImage scaledToWidth: (float) i_width;
@property (strong, nonatomic) IBOutlet UIProgressView *progressBar;
@property(nonatomic)int mainMenuImage;
@property (strong, nonatomic) IBOutlet UIImageView *thumbnail;
@property(nonatomic)int xOrigin;
//@property (strong, nonatomic) IBOutlet UITextField *districtLabel;
@property(nonatomic,retain)NSMutableData*responseData;
@property (strong, nonatomic) IBOutlet UILabel *nameOfRestaurant;
- (IBAction)chengeRestaurantPublishingState:(id)sender;
@property (strong, nonatomic) IBOutlet UILabel *addressOfRestaurant;
@property(nonatomic,retain)UIImage* actualLoadedPhoto;
@property (strong, nonatomic) IBOutlet UIImageView *imageViewMainPicture;
//@property (strong, nonatomic) IBOutlet UIButton *refButton;
@property (strong, nonatomic) IBOutlet UIImageView *isProfilePublishedImage;
@property(nonatomic,retain)UIAlertView*loading;
@property (strong, nonatomic) IBOutlet UIButton *isProfilePublihedText;
@property(nonatomic,retain)RestaurantRefresher* ref;
//@property (strong, nonatomic) IBOutlet UITextField *nameLabel;
//@property (strong, nonatomic) IBOutlet UITextField *addressLabel;
@property(nonatomic,retain)NSMutableArray* buttons;
@property(nonatomic,retain)UIButton*tempButton;
//@property(nonatomic)int mainNumber;
@property(nonatomic,retain)UIImage* restaurantPhoto;
@property(nonatomic,retain)NSMutableArray* dates;
@property bool isRefreshing;
@property UIAlertView *alertUpload;
@property NSURLConnection * connection;
@property int restaurantIndexAtList;

-(void)showLoadingPopUp;
-(void) refreshRestaurant;
@end
